# serverport

Specifies the TCP port that omhttp uses when connecting to the configured HTTP server.

This parameter applies to omhttp: HTTP Output Module.

Name:

  serverport

Scope:

  input

Type:

  integer

Default:

  input=443

Required?:

  no

Introduced:

  Not specified

## Description

The port you want to connect to.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        serverPort="8443"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.